/**
 * 
 */
package uk.org.wuglug.gryle.util;

import java.io.IOException;
import java.io.InputStream;

/**
 * @author rlmw
 *
 */
public interface MusicPlayer {

	public void setInput(InputStream in);
	
	public long getDelay();
	public void setDelay(long delay);
	
	public void play();
	public void pause() throws Exception;
	public void stop() throws Exception;
	
	public void addListener(MusicListener listener);
	public void removeListener(MusicListener listener);
	
}
