package uk.org.wuglug.gryle.util;

import java.io.File;
import java.io.FilenameFilter;

/**
 * @author mulletron
 * Filters file to ensure that they are files
 */
public class SongFileFilter implements FilenameFilter {

	private static String[] extension = {
		".mp3",
		".wav"
	};

	public boolean accept(File path, String name) {
		for(String ext:extension) {
			if(name.endsWith(ext)) {
				return true;
			}
		}
		return false;
	}
	
}
